use shiny_std::arena::intern;

use crate::{bin, int, ptr};

enum Ty {
    Prod(bin::Prod),
    Sum(bin::Sum),
    Field(bin::Field),
    Int(int::Int),
}

/// Inference context.
pub struct Ctx {
    tys: intern::Arena<Ty, ptr::Ty>,
}
