//! # Integer types.

/// Sign of the integer.
#[derive(Debug, Clone, Copy)]
pub enum Signedness {
    /// The number has sign.
    Signed,
    /// The number has no sign.
    Unsigned,
}

/// Integer.
#[derive(Debug, Clone, Copy)]
pub struct Int(pub Signedness);
